// VincentView.h : interface of the CVincentView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_VINCENTVIEW_H__7A221972_18B3_47F8_9F71_C6A3DD0DDC1D__INCLUDED_)
#define AFX_VINCENTVIEW_H__7A221972_18B3_47F8_9F71_C6A3DD0DDC1D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CVincentView : public CScrollView
{
protected: // create from serialization only
	CVincentView();
	DECLARE_DYNCREATE(CVincentView)

// Attributes
public:
	CVincentDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVincentView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CVincentView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CVincentView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CDrawingNode* m_pCurrentNode;					// 현재 객체를 가리킴
	static CDrawingNode* CreateNode(UINT nID);		// 노드 생성을 위한 팩토리 함수
};

#ifndef _DEBUG  // debug version in VincentView.cpp
inline CVincentDoc* CVincentView::GetDocument()
   { return (CVincentDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VINCENTVIEW_H__7A221972_18B3_47F8_9F71_C6A3DD0DDC1D__INCLUDED_)
